Index: /XIOS/dev/dev_oa/src/filter/source_filter.cpp
===================================================================
--- /XIOS/dev/dev_oa/src/filter/source_filter.cpp	(revision 1962)
+++ /XIOS/dev/dev_oa/src/filter/source_filter.cpp	(revision 1963)
@@ -19,4 +19,5 @@
     , offset(offset)
     , hasMissingValue(hasMissingValue), defaultValue(defaultValue)
+    , ntiles(0)
   {
     if (!grid)
@@ -51,4 +52,10 @@
     }
 
+  }
+
+  template <int N>
+  void CSourceFilter::streamTile(CDate date, const CArray<double, N>& data, int ntile)
+  {
+    // TO DO
   }
 
@@ -105,4 +112,12 @@
   template void CSourceFilter::streamData<7>(CDate date, const CArray<double, 7>& data);
 
+  template void CSourceFilter::streamTile<1>(CDate date, const CArray<double, 1>& data, int ntile);
+  template void CSourceFilter::streamTile<2>(CDate date, const CArray<double, 2>& data, int ntile);
+  template void CSourceFilter::streamTile<3>(CDate date, const CArray<double, 3>& data, int ntile);
+  template void CSourceFilter::streamTile<4>(CDate date, const CArray<double, 4>& data, int ntile);
+  template void CSourceFilter::streamTile<5>(CDate date, const CArray<double, 5>& data, int ntile);
+  template void CSourceFilter::streamTile<6>(CDate date, const CArray<double, 6>& data, int ntile);
+  template void CSourceFilter::streamTile<7>(CDate date, const CArray<double, 7>& data, int ntile);
+
   void CSourceFilter::streamDataFromServer(CDate date, const std::map<int, CArray<double, 1> >& data)
   {
Index: /XIOS/dev/dev_oa/src/filter/source_filter.hpp
===================================================================
--- /XIOS/dev/dev_oa/src/filter/source_filter.hpp	(revision 1962)
+++ /XIOS/dev/dev_oa/src/filter/source_filter.hpp	(revision 1963)
@@ -48,4 +48,7 @@
       void streamData(CDate date, const CArray<double, N>& data);
 
+      template <int N>
+      void streamTile(CDate date, const CArray<double, N>& data, int ntile);
+
       void virtual buildGraph(CDataPacketPtr packet);
 
@@ -75,4 +78,5 @@
       const bool compression ; //!< indicates if data need to be compressed : on client side : true, on server side : false
       const bool mask ;        //!< indicates whether grid mask should be applied (true for clients, false for servers)
+      int ntiles ;
   }; // class CSourceFilter
 } // namespace xios
Index: /XIOS/dev/dev_oa/src/interface/c/icdata.cpp
===================================================================
--- /XIOS/dev/dev_oa/src/interface/c/icdata.cpp	(revision 1962)
+++ /XIOS/dev/dev_oa/src/interface/c/icdata.cpp	(revision 1963)
@@ -429,5 +429,5 @@
    CATCH_DUMP_STACK
 
-   void cxios_write_data_k81(const char* fieldid, int fieldid_size, double* data_k8, int data_Xsize)
+   void cxios_write_data_k81(const char* fieldid, int fieldid_size, double* data_k8, int data_Xsize, int tileid)
    TRY
    {
@@ -443,12 +443,12 @@
 
       CArray<double, 1> data(data_k8, shape(data_Xsize), neverDeleteData);
-      CField::get(fieldid_str)->setData(data);
-
-      CTimer::get("XIOS send field").suspend();
-      CTimer::get("XIOS").suspend();
-   }
-   CATCH_DUMP_STACK
-
-   void cxios_write_data_k82(const char* fieldid, int fieldid_size, double* data_k8, int data_Xsize, int data_Ysize)
+      CField::get(fieldid_str)->setData(data, tileid);
+
+      CTimer::get("XIOS send field").suspend();
+      CTimer::get("XIOS").suspend();
+   }
+   CATCH_DUMP_STACK
+
+   void cxios_write_data_k82(const char* fieldid, int fieldid_size, double* data_k8, int data_Xsize, int data_Ysize, int tileid)
    TRY
    {
@@ -464,12 +464,12 @@
 
       CArray<double, 2>data(data_k8, shape(data_Xsize, data_Ysize), neverDeleteData);
-      CField::get(fieldid_str)->setData(data);
-
-      CTimer::get("XIOS send field").suspend();
-      CTimer::get("XIOS").suspend();
-   }
-   CATCH_DUMP_STACK
-
-   void cxios_write_data_k83(const char* fieldid, int fieldid_size, double* data_k8, int data_Xsize, int data_Ysize, int data_Zsize)
+      CField::get(fieldid_str)->setData(data, tileid);
+
+      CTimer::get("XIOS send field").suspend();
+      CTimer::get("XIOS").suspend();
+   }
+   CATCH_DUMP_STACK
+
+   void cxios_write_data_k83(const char* fieldid, int fieldid_size, double* data_k8, int data_Xsize, int data_Ysize, int data_Zsize, int tileid)
    TRY
    {
@@ -485,12 +485,13 @@
 
       CArray<double, 3>data(data_k8, shape(data_Xsize, data_Ysize, data_Zsize), neverDeleteData);
-      CField::get(fieldid_str)->setData(data);
-
-      CTimer::get("XIOS send field").suspend();
-      CTimer::get("XIOS").suspend();
-   }
-   CATCH_DUMP_STACK
-
-   void cxios_write_data_k84(const char* fieldid, int fieldid_size, double* data_k8, int data_0size, int data_1size, int data_2size, int data_3size)
+      CField::get(fieldid_str)->setData(data, tileid);
+
+      CTimer::get("XIOS send field").suspend();
+      CTimer::get("XIOS").suspend();
+   }
+   CATCH_DUMP_STACK
+
+   void cxios_write_data_k84(const char* fieldid, int fieldid_size, double* data_k8, int data_0size, int data_1size,
+                             int data_2size, int data_3size, int tileid)
    TRY
    {
@@ -506,5 +507,5 @@
 
       CArray<double, 4>data(data_k8, shape(data_0size, data_1size, data_2size, data_3size), neverDeleteData);
-      CField::get(fieldid_str)->setData(data);
+      CField::get(fieldid_str)->setData(data, tileid);
 
       CTimer::get("XIOS send field").suspend();
@@ -515,5 +516,5 @@
    void cxios_write_data_k85(const char* fieldid, int fieldid_size, double* data_k8,
                              int data_0size, int data_1size, int data_2size,
-                             int data_3size, int data_4size)
+                             int data_3size, int data_4size, int tileid)
    TRY
    {
@@ -529,5 +530,5 @@
 
       CArray<double, 5>data(data_k8, shape(data_0size, data_1size, data_2size, data_3size, data_4size), neverDeleteData);
-      CField::get(fieldid_str)->setData(data);
+      CField::get(fieldid_str)->setData(data, tileid);
 
       CTimer::get("XIOS send field").suspend();
@@ -538,5 +539,5 @@
    void cxios_write_data_k86(const char* fieldid, int fieldid_size, double* data_k8,
                              int data_0size, int data_1size, int data_2size,
-                             int data_3size, int data_4size, int data_5size)
+                             int data_3size, int data_4size, int data_5size, int tileid)
    TRY
    {
@@ -552,5 +553,5 @@
 
       CArray<double, 6>data(data_k8, shape(data_0size, data_1size, data_2size, data_3size, data_4size, data_5size), neverDeleteData);
-      CField::get(fieldid_str)->setData(data);
+      CField::get(fieldid_str)->setData(data, tileid);
 
       CTimer::get("XIOS send field").suspend();
@@ -562,5 +563,5 @@
                              int data_0size, int data_1size, int data_2size,
                              int data_3size, int data_4size, int data_5size,
-                             int data_6size)
+                             int data_6size, int tileid)
    TRY
    {
@@ -576,5 +577,5 @@
 
       CArray<double, 7>data(data_k8, shape(data_0size, data_1size, data_2size, data_3size, data_4size, data_5size, data_6size), neverDeleteData);
-      CField::get(fieldid_str)->setData(data);
+      CField::get(fieldid_str)->setData(data, tileid);
 
       CTimer::get("XIOS send field").suspend();
@@ -604,5 +605,5 @@
    CATCH_DUMP_STACK
 
-   void cxios_write_data_k41(const char* fieldid, int fieldid_size, float* data_k4, int data_Xsize)
+   void cxios_write_data_k41(const char* fieldid, int fieldid_size, float* data_k4, int data_Xsize, int tileid)
    TRY
    {
@@ -620,12 +621,12 @@
       CArray<double, 1> data(data_Xsize);
       data = data_tmp;
-      CField::get(fieldid_str)->setData(data);
-
-      CTimer::get("XIOS send field").suspend();
-      CTimer::get("XIOS").suspend();
-   }
-   CATCH_DUMP_STACK
-
-   void cxios_write_data_k42(const char* fieldid, int fieldid_size, float* data_k4, int data_Xsize, int data_Ysize)
+      CField::get(fieldid_str)->setData(data, tileid);
+
+      CTimer::get("XIOS send field").suspend();
+      CTimer::get("XIOS").suspend();
+   }
+   CATCH_DUMP_STACK
+
+   void cxios_write_data_k42(const char* fieldid, int fieldid_size, float* data_k4, int data_Xsize, int data_Ysize, int tileid)
    TRY
    {
@@ -643,12 +644,13 @@
       CArray<double, 2> data(data_Xsize, data_Ysize);
       data = data_tmp;
-      CField::get(fieldid_str)->setData(data);
-
-      CTimer::get("XIOS send field").suspend();
-      CTimer::get("XIOS").suspend();
-   }
-   CATCH_DUMP_STACK
-
-   void cxios_write_data_k43(const char* fieldid, int fieldid_size, float* data_k4, int data_Xsize, int data_Ysize, int data_Zsize)
+      CField::get(fieldid_str)->setData(data, tileid);
+
+      CTimer::get("XIOS send field").suspend();
+      CTimer::get("XIOS").suspend();
+   }
+   CATCH_DUMP_STACK
+
+   void cxios_write_data_k43(const char* fieldid, int fieldid_size, float* data_k4, int data_Xsize, int data_Ysize,
+                             int data_Zsize, int tileid)
    TRY
    {
@@ -666,5 +668,5 @@
       CArray<double, 3> data(data_Xsize, data_Ysize, data_Zsize);
       data = data_tmp;
-      CField::get(fieldid_str)->setData(data);
+      CField::get(fieldid_str)->setData(data, tileid);
 
       CTimer::get("XIOS send field").suspend();
@@ -675,5 +677,5 @@
    void cxios_write_data_k44(const char* fieldid, int fieldid_size, float* data_k4,
                              int data_0size, int data_1size, int data_2size,
-                             int data_3size)
+                             int data_3size, int tileid)
    TRY
    {
@@ -691,5 +693,5 @@
       CArray<double, 4> data(data_0size, data_1size, data_2size, data_3size);
       data = data_tmp;
-      CField::get(fieldid_str)->setData(data);
+      CField::get(fieldid_str)->setData(data, tileid);
 
       CTimer::get("XIOS send field").suspend();
@@ -700,5 +702,5 @@
    void cxios_write_data_k45(const char* fieldid, int fieldid_size, float* data_k4,
                              int data_0size, int data_1size, int data_2size,
-                             int data_3size, int data_4size)
+                             int data_3size, int data_4size, int tileid)
    TRY
    {
@@ -716,5 +718,5 @@
       CArray<double, 5> data(data_0size, data_1size, data_2size, data_3size, data_4size);
       data = data_tmp;
-      CField::get(fieldid_str)->setData(data);
+      CField::get(fieldid_str)->setData(data, tileid);
 
       CTimer::get("XIOS send field").suspend();
@@ -725,5 +727,5 @@
    void cxios_write_data_k46(const char* fieldid, int fieldid_size, float* data_k4,
                              int data_0size, int data_1size, int data_2size,
-                             int data_3size, int data_4size, int data_5size)
+                             int data_3size, int data_4size, int data_5size, int tileid)
    TRY
    {
@@ -741,5 +743,5 @@
       CArray<double, 6> data(data_0size, data_1size, data_2size, data_3size, data_4size, data_5size);
       data = data_tmp;
-      CField::get(fieldid_str)->setData(data);
+      CField::get(fieldid_str)->setData(data, tileid);
 
       CTimer::get("XIOS send field").suspend();
@@ -751,5 +753,5 @@
                              int data_0size, int data_1size, int data_2size,
                              int data_3size, int data_4size, int data_5size,
-                             int data_6size)
+                             int data_6size, int tileid)
    TRY
    {
@@ -767,5 +769,5 @@
       CArray<double, 7> data(data_0size, data_1size, data_2size, data_3size, data_4size, data_5size, data_6size);
       data = data_tmp;
-      CField::get(fieldid_str)->setData(data);
+      CField::get(fieldid_str)->setData(data, tileid);
 
       CTimer::get("XIOS send field").suspend();
Index: /XIOS/dev/dev_oa/src/interface/fortran/idata.F90
===================================================================
--- /XIOS/dev/dev_oa/src/interface/fortran/idata.F90	(revision 1962)
+++ /XIOS/dev/dev_oa/src/interface/fortran/idata.F90	(revision 1963)
@@ -60,5 +60,5 @@
       END SUBROUTINE cxios_write_data_k80
 
-      SUBROUTINE cxios_write_data_k81(fieldid, fieldid_size, data_k8, data_Xsize) BIND(C)
+      SUBROUTINE cxios_write_data_k81(fieldid, fieldid_size, data_k8, data_Xsize, tileid) BIND(C)
          USE ISO_C_BINDING
          CHARACTER(kind = C_CHAR)  , DIMENSION(*) :: fieldid
@@ -66,7 +66,8 @@
          INTEGER  (kind = C_INT)   , VALUE        :: fieldid_size
          INTEGER  (kind = C_INT)   , VALUE        :: data_Xsize
+         INTEGER  (kind = C_INT)   , VALUE        :: tileid
       END SUBROUTINE cxios_write_data_k81
 
-      SUBROUTINE cxios_write_data_k82(fieldid, fieldid_size, data_k8, data_Xsize, data_Ysize) BIND(C)
+      SUBROUTINE cxios_write_data_k82(fieldid, fieldid_size, data_k8, data_Xsize, data_Ysize, tileid) BIND(C)
          USE ISO_C_BINDING
          CHARACTER(kind = C_CHAR)  , DIMENSION(*) :: fieldid
@@ -74,7 +75,9 @@
          INTEGER  (kind = C_INT)   , VALUE        :: fieldid_size
          INTEGER  (kind = C_INT)   , VALUE        :: data_Xsize, data_Ysize
+         INTEGER  (kind = C_INT)   , VALUE        :: tileid
       END SUBROUTINE cxios_write_data_k82
 
-      SUBROUTINE cxios_write_data_k83(fieldid, fieldid_size, data_k8, data_Xsize, data_Ysize, data_Zsize) BIND(C)
+      SUBROUTINE cxios_write_data_k83(fieldid, fieldid_size, data_k8, data_Xsize, data_Ysize, data_Zsize, &
+                                      tileid) BIND(C)
          USE ISO_C_BINDING
          CHARACTER(kind = C_CHAR)  , DIMENSION(*) :: fieldid
@@ -82,9 +85,10 @@
          INTEGER  (kind = C_INT)   , VALUE        :: fieldid_size
          INTEGER  (kind = C_INT)   , VALUE        :: data_Xsize, data_Ysize, data_Zsize
+         INTEGER  (kind = C_INT)   , VALUE        :: tileid
       END SUBROUTINE cxios_write_data_k83
 
       SUBROUTINE cxios_write_data_k84(fieldid, fieldid_size, data_k8, &
                                       data_0size, data_1size, data_2size, &
-                                      data_3size) BIND(C)
+                                      data_3size, tileid) BIND(C)
          USE ISO_C_BINDING
          CHARACTER(kind = C_CHAR)  , DIMENSION(*) :: fieldid
@@ -93,9 +97,10 @@
          INTEGER  (kind = C_INT)   , VALUE        :: data_0size, data_1size, data_2size
          INTEGER  (kind = C_INT)   , VALUE        :: data_3size
+         INTEGER  (kind = C_INT)   , VALUE        :: tileid
       END SUBROUTINE cxios_write_data_k84
 
       SUBROUTINE cxios_write_data_k85(fieldid, fieldid_size, data_k8, &
                                       data_0size, data_1size, data_2size, &
-                                      data_3size, data_4size) BIND(C)
+                                      data_3size, data_4size, tileid) BIND(C)
          USE ISO_C_BINDING
          CHARACTER(kind = C_CHAR)  , DIMENSION(*) :: fieldid
@@ -104,9 +109,10 @@
          INTEGER  (kind = C_INT)   , VALUE        :: data_0size, data_1size, data_2size
          INTEGER  (kind = C_INT)   , VALUE        :: data_3size, data_4size
+         INTEGER  (kind = C_INT)   , VALUE        :: tileid
       END SUBROUTINE cxios_write_data_k85
 
       SUBROUTINE cxios_write_data_k86(fieldid, fieldid_size, data_k8, &
                                       data_0size, data_1size, data_2size, &
-                                      data_3size, data_4size, data_5size) BIND(C)
+                                      data_3size, data_4size, data_5size, tileid) BIND(C)
          USE ISO_C_BINDING
          CHARACTER(kind = C_CHAR)  , DIMENSION(*) :: fieldid
@@ -115,4 +121,5 @@
          INTEGER  (kind = C_INT)   , VALUE        :: data_0size, data_1size, data_2size
          INTEGER  (kind = C_INT)   , VALUE        :: data_3size, data_4size, data_5size
+         INTEGER  (kind = C_INT)   , VALUE        :: tileid
       END SUBROUTINE cxios_write_data_k86
 
@@ -120,5 +127,5 @@
                                       data_0size, data_1size, data_2size, &
                                       data_3size, data_4size, data_5size, &
-                                      data_6size) BIND(C)
+                                      data_6size, tileid) BIND(C)
          USE ISO_C_BINDING
          CHARACTER(kind = C_CHAR)  , DIMENSION(*) :: fieldid
@@ -128,4 +135,5 @@
          INTEGER  (kind = C_INT)   , VALUE        :: data_3size, data_4size, data_5size
          INTEGER  (kind = C_INT)   , VALUE        :: data_6size
+         INTEGER  (kind = C_INT)   , VALUE        :: tileid
       END SUBROUTINE cxios_write_data_k87
 
@@ -138,5 +146,5 @@
       END SUBROUTINE cxios_write_data_k40
 
-      SUBROUTINE cxios_write_data_k41(fieldid, fieldid_size, data_k4, data_Xsize) BIND(C)
+      SUBROUTINE cxios_write_data_k41(fieldid, fieldid_size, data_k4, data_Xsize, tileid) BIND(C)
          USE ISO_C_BINDING
          CHARACTER(kind = C_CHAR)  , DIMENSION(*) :: fieldid
@@ -144,7 +152,8 @@
          INTEGER  (kind = C_INT)   , VALUE        :: fieldid_size
          INTEGER  (kind = C_INT)   , VALUE        :: data_Xsize
+         INTEGER  (kind = C_INT)   , VALUE        :: tileid
       END SUBROUTINE cxios_write_data_k41
 
-      SUBROUTINE cxios_write_data_k42(fieldid, fieldid_size, data_k4, data_Xsize, data_Ysize) BIND(C)
+      SUBROUTINE cxios_write_data_k42(fieldid, fieldid_size, data_k4, data_Xsize, data_Ysize, tileid) BIND(C)
          USE ISO_C_BINDING
          CHARACTER(kind = C_CHAR)  , DIMENSION(*) :: fieldid
@@ -152,7 +161,9 @@
          INTEGER  (kind = C_INT)   , VALUE        :: fieldid_size
          INTEGER  (kind = C_INT)   , VALUE        :: data_Xsize, data_Ysize
+         INTEGER  (kind = C_INT)   , VALUE        :: tileid
       END SUBROUTINE cxios_write_data_k42
 
-      SUBROUTINE cxios_write_data_k43(fieldid, fieldid_size, data_k4, data_Xsize, data_Ysize, data_Zsize) BIND(C)
+      SUBROUTINE cxios_write_data_k43(fieldid, fieldid_size, data_k4, data_Xsize, data_Ysize, data_Zsize, &
+                                      tileid) BIND(C)
          USE ISO_C_BINDING
          CHARACTER(kind = C_CHAR)  , DIMENSION(*) :: fieldid
@@ -160,9 +171,10 @@
          INTEGER  (kind = C_INT)   , VALUE        :: fieldid_size
          INTEGER  (kind = C_INT)   , VALUE        :: data_Xsize, data_Ysize, data_Zsize
+         INTEGER  (kind = C_INT)   , VALUE        :: tileid
       END SUBROUTINE cxios_write_data_k43
 
       SUBROUTINE cxios_write_data_k44(fieldid, fieldid_size, data_k4, &
                                       data_0size, data_1size, data_2size, &
-                                      data_3size) BIND(C)
+                                      data_3size, tileid) BIND(C)
          USE ISO_C_BINDING
          CHARACTER(kind = C_CHAR)  , DIMENSION(*) :: fieldid
@@ -171,9 +183,10 @@
          INTEGER  (kind = C_INT)   , VALUE        :: data_0size, data_1size, data_2size
          INTEGER  (kind = C_INT)   , VALUE        :: data_3size
+         INTEGER  (kind = C_INT)   , VALUE        :: tileid
       END SUBROUTINE cxios_write_data_k44
 
       SUBROUTINE cxios_write_data_k45(fieldid, fieldid_size, data_k4, &
                                       data_0size, data_1size, data_2size, &
-                                      data_3size, data_4size) BIND(C)
+                                      data_3size, data_4size, tileid) BIND(C)
          USE ISO_C_BINDING
          CHARACTER(kind = C_CHAR)  , DIMENSION(*) :: fieldid
@@ -182,9 +195,10 @@
          INTEGER  (kind = C_INT)   , VALUE        :: data_0size, data_1size, data_2size
          INTEGER  (kind = C_INT)   , VALUE        :: data_3size, data_4size
+         INTEGER  (kind = C_INT)   , VALUE        :: tileid
       END SUBROUTINE cxios_write_data_k45
 
       SUBROUTINE cxios_write_data_k46(fieldid, fieldid_size, data_k4, &
                                       data_0size, data_1size, data_2size, &
-                                      data_3size, data_4size, data_5size) BIND(C)
+                                      data_3size, data_4size, data_5size, tileid) BIND(C)
          USE ISO_C_BINDING
          CHARACTER(kind = C_CHAR)  , DIMENSION(*) :: fieldid
@@ -193,4 +207,5 @@
          INTEGER  (kind = C_INT)   , VALUE        :: data_0size, data_1size, data_2size
          INTEGER  (kind = C_INT)   , VALUE        :: data_3size, data_4size, data_5size
+         INTEGER  (kind = C_INT)   , VALUE        :: tileid
       END SUBROUTINE cxios_write_data_k46
 
@@ -198,5 +213,5 @@
                                       data_0size, data_1size, data_2size, &
                                       data_3size, data_4size, data_5size, &
-                                      data_6size) BIND(C)
+                                      data_6size, tileid) BIND(C)
          USE ISO_C_BINDING
          CHARACTER(kind = C_CHAR)  , DIMENSION(*) :: fieldid
@@ -206,4 +221,5 @@
          INTEGER  (kind = C_INT)   , VALUE        :: data_3size, data_4size, data_5size
          INTEGER  (kind = C_INT)   , VALUE        :: data_6size
+         INTEGER  (kind = C_INT)   , VALUE        :: tileid
       END SUBROUTINE cxios_write_data_k47
 
@@ -545,57 +561,133 @@
       CHARACTER(len = *)               , INTENT(IN) :: fieldid
       REAL     (kind = 8), DIMENSION(*), INTENT(IN) :: data1d_k8(:)
-      CALL cxios_write_data_k81(fieldid, len(fieldid), data1d_k8, size(data1d_k8, 1))
+      INTEGER, PARAMETER                            :: tileid = -1
+      CALL cxios_write_data_k81(fieldid, len(fieldid), data1d_k8, size(data1d_k8, 1), tileid)
    END SUBROUTINE xios(send_field_r8_1d)
 
+   SUBROUTINE xios(send_field_tiled_r8_1d)(fieldid, data1d_k8, tileid)
+   IMPLICIT NONE
+      CHARACTER(len = *)               , INTENT(IN) :: fieldid
+      REAL     (kind = 8), DIMENSION(*), INTENT(IN) :: data1d_k8(:)
+      INTEGER                          , INTENT(IN) :: tileid
+      CALL cxios_write_data_k81(fieldid, len(fieldid), data1d_k8, size(data1d_k8, 1), tileid)
+   END SUBROUTINE xios(send_field_tiled_r8_1d)
+
    SUBROUTINE  xios(send_field_r8_2d)(fieldid, data2d_k8)
    IMPLICIT NONE
       CHARACTER(len = *)               , INTENT(IN) :: fieldid
       REAL     (kind = 8), DIMENSION(*), INTENT(IN) :: data2d_k8(:,:)
-      CALL cxios_write_data_k82(fieldid, len(fieldid), data2d_k8, size(data2d_k8, 1), size(data2d_k8, 2))
+      INTEGER, PARAMETER                            :: tileid = -1
+      CALL cxios_write_data_k82(fieldid, len(fieldid), data2d_k8, size(data2d_k8, 1), &
+                                size(data2d_k8, 2), tileid)
    END SUBROUTINE  xios(send_field_r8_2d)
 
+   SUBROUTINE  xios(send_field_tiled_r8_2d)(fieldid, data2d_k8, tileid)
+   IMPLICIT NONE
+      CHARACTER(len = *)               , INTENT(IN) :: fieldid
+      REAL     (kind = 8), DIMENSION(*), INTENT(IN) :: data2d_k8(:,:)
+      INTEGER                          , INTENT(IN) :: tileid
+      CALL cxios_write_data_k82(fieldid, len(fieldid), data2d_k8, size(data2d_k8, 1), &
+                                size(data2d_k8, 2), tileid)
+   END SUBROUTINE  xios(send_field_tiled_r8_2d)
+
    SUBROUTINE  xios(send_field_r8_3d)(fieldid, data3d_k8)
    IMPLICIT NONE
       CHARACTER(len = *)               , INTENT(IN) :: fieldid
       REAL     (kind = 8), DIMENSION(*), INTENT(IN) :: data3d_k8(:,:,:)
-      CALL cxios_write_data_k83(fieldid, len(fieldid), data3d_k8, size(data3d_k8, 1), size(data3d_k8, 2), size(data3d_k8, 3))
+      INTEGER, PARAMETER                            :: tileid = -1
+      CALL cxios_write_data_k83(fieldid, len(fieldid), data3d_k8, size(data3d_k8, 1), size(data3d_k8, 2), size(data3d_k8, 3), &
+                                tileid)
    END SUBROUTINE  xios(send_field_r8_3d)
 
+   SUBROUTINE  xios(send_field_tiled_r8_3d)(fieldid, data3d_k8, tileid)
+   IMPLICIT NONE
+      CHARACTER(len = *)               , INTENT(IN) :: fieldid
+      REAL     (kind = 8), DIMENSION(*), INTENT(IN) :: data3d_k8(:,:,:)
+      INTEGER                          , INTENT(IN) :: tileid
+      CALL cxios_write_data_k83(fieldid, len(fieldid), data3d_k8, size(data3d_k8, 1), &
+                                      size(data3d_k8, 2), size(data3d_k8, 3), tileid)
+   END SUBROUTINE  xios(send_field_tiled_r8_3d)
+
    SUBROUTINE  xios(send_field_r8_4d)(fieldid, data4d_k8)
    IMPLICIT NONE
       CHARACTER(len = *)               , INTENT(IN) :: fieldid
       REAL     (kind = 8), DIMENSION(*), INTENT(IN) :: data4d_k8(:,:,:,:)
+      INTEGER, PARAMETER                            :: tileid = -1
       CALL cxios_write_data_k84(fieldid, len(fieldid), data4d_k8, &
                                 size(data4d_k8, 1), size(data4d_k8, 2), size(data4d_k8, 3), &
-                                size(data4d_k8, 4))
+                                size(data4d_k8, 4), tileid)
    END SUBROUTINE  xios(send_field_r8_4d)
 
+   SUBROUTINE  xios(send_field_tiled_r8_4d)(fieldid, data4d_k8, tileid)
+   IMPLICIT NONE
+      CHARACTER(len = *)               , INTENT(IN) :: fieldid
+      REAL     (kind = 8), DIMENSION(*), INTENT(IN) :: data4d_k8(:,:,:,:)
+      INTEGER                          , INTENT(IN) :: tileid
+      CALL cxios_write_data_k84(fieldid, len(fieldid), data4d_k8, &
+                                size(data4d_k8, 1), size(data4d_k8, 2), size(data4d_k8, 3), &
+                                size(data4d_k8, 4), tileid)
+   END SUBROUTINE  xios(send_field_tiled_r8_4d)
+
    SUBROUTINE  xios(send_field_r8_5d)(fieldid, data5d_k8)
    IMPLICIT NONE
       CHARACTER(len = *)               , INTENT(IN) :: fieldid
       REAL     (kind = 8), DIMENSION(*), INTENT(IN) :: data5d_k8(:,:,:,:,:)
+      INTEGER, PARAMETER                            :: tileid = -1
       CALL cxios_write_data_k85(fieldid, len(fieldid), data5d_k8, &
                                 size(data5d_k8, 1), size(data5d_k8, 2), size(data5d_k8, 3), &
-                                size(data5d_k8, 4), size(data5d_k8, 5))
+                                size(data5d_k8, 4), size(data5d_k8, 5), tileid)
    END SUBROUTINE  xios(send_field_r8_5d)
 
+   SUBROUTINE  xios(send_field_tiled_r8_5d)(fieldid, data5d_k8, tileid)
+   IMPLICIT NONE
+      CHARACTER(len = *)               , INTENT(IN) :: fieldid
+      REAL     (kind = 8), DIMENSION(*), INTENT(IN) :: data5d_k8(:,:,:,:,:)
+      INTEGER                          , INTENT(IN) :: tileid
+      CALL cxios_write_data_k85(fieldid, len(fieldid), data5d_k8, &
+                                size(data5d_k8, 1), size(data5d_k8, 2), size(data5d_k8, 3), &
+                                size(data5d_k8, 4), size(data5d_k8, 5), tileid)
+   END SUBROUTINE  xios(send_field_tiled_r8_5d)
+
    SUBROUTINE  xios(send_field_r8_6d)(fieldid, data6d_k8)
    IMPLICIT NONE
       CHARACTER(len = *)               , INTENT(IN) :: fieldid
       REAL     (kind = 8), DIMENSION(*), INTENT(IN) :: data6d_k8(:,:,:,:,:,:)
+      INTEGER, PARAMETER                            :: tileid = -1
       CALL cxios_write_data_k86(fieldid, len(fieldid), data6d_k8, &
                                 size(data6d_k8, 1), size(data6d_k8, 2), size(data6d_k8, 3), &
-                                size(data6d_k8, 4), size(data6d_k8, 5), size(data6d_k8, 6))
+                                size(data6d_k8, 4), size(data6d_k8, 5), size(data6d_k8, 6), tileid)
    END SUBROUTINE  xios(send_field_r8_6d)
 
+   SUBROUTINE  xios(send_field_tiled_r8_6d)(fieldid, data6d_k8, tileid)
+   IMPLICIT NONE
+      CHARACTER(len = *)               , INTENT(IN) :: fieldid
+      REAL     (kind = 8), DIMENSION(*), INTENT(IN) :: data6d_k8(:,:,:,:,:,:)
+      INTEGER                          , INTENT(IN) :: tileid
+      CALL cxios_write_data_k86(fieldid, len(fieldid), data6d_k8, &
+                                size(data6d_k8, 1), size(data6d_k8, 2), size(data6d_k8, 3), &
+                                size(data6d_k8, 4), size(data6d_k8, 5), size(data6d_k8, 6), tileid)
+   END SUBROUTINE  xios(send_field_tiled_r8_6d)
+
    SUBROUTINE  xios(send_field_r8_7d)(fieldid, data7d_k8)
    IMPLICIT NONE
       CHARACTER(len = *)               , INTENT(IN) :: fieldid
       REAL     (kind = 8), DIMENSION(*), INTENT(IN) :: data7d_k8(:,:,:,:,:,:,:)
+      INTEGER, PARAMETER                            :: tileid = -1
       CALL cxios_write_data_k87(fieldid, len(fieldid), data7d_k8, &
                                 size(data7d_k8, 1), size(data7d_k8, 2), size(data7d_k8, 3), &
                                 size(data7d_k8, 4), size(data7d_k8, 5), size(data7d_k8, 6), &
-                                size(data7d_k8, 7))
+                                size(data7d_k8, 7), tileid)
    END SUBROUTINE  xios(send_field_r8_7d)
+
+   SUBROUTINE  xios(send_field_tiled_r8_7d)(fieldid, data7d_k8, tileid)
+   IMPLICIT NONE
+      CHARACTER(len = *)               , INTENT(IN) :: fieldid
+      REAL     (kind = 8), DIMENSION(*), INTENT(IN) :: data7d_k8(:,:,:,:,:,:,:)
+      INTEGER                          , INTENT(IN) :: tileid
+      CALL cxios_write_data_k87(fieldid, len(fieldid), data7d_k8, &
+                                size(data7d_k8, 1), size(data7d_k8, 2), size(data7d_k8, 3), &
+                                size(data7d_k8, 4), size(data7d_k8, 5), size(data7d_k8, 6), &
+                                size(data7d_k8, 7), tileid)
+   END SUBROUTINE  xios(send_field_tiled_r8_7d)
 
    SUBROUTINE xios(send_field_r4_0d)(fieldid, data_k4)
@@ -610,57 +702,131 @@
       CHARACTER(len = *)               , INTENT(IN) :: fieldid
       REAL     (kind = 4), DIMENSION(*), INTENT(IN) :: data1d_k4(:)
-      CALL cxios_write_data_k41(fieldid, len(fieldid), data1d_k4, size(data1d_k4, 1))
+      INTEGER, PARAMETER                            :: tileid = -1
+      CALL cxios_write_data_k41(fieldid, len(fieldid), data1d_k4, size(data1d_k4, 1), tileid)
    END SUBROUTINE xios(send_field_r4_1d)
 
+   SUBROUTINE xios(send_field_tiled_r4_1d)(fieldid, data1d_k4, tileid)
+   IMPLICIT NONE
+      CHARACTER(len = *)               , INTENT(IN) :: fieldid
+      REAL     (kind = 4), DIMENSION(*), INTENT(IN) :: data1d_k4(:)
+      INTEGER                          , INTENT(IN) :: tileid
+      CALL cxios_write_data_k41(fieldid, len(fieldid), data1d_k4, size(data1d_k4, 1), tileid)
+   END SUBROUTINE xios(send_field_tiled_r4_1d)
+
    SUBROUTINE xios(send_field_r4_2d)(fieldid, data2d_k4)
    IMPLICIT NONE
       CHARACTER(len = *)               , INTENT(IN) :: fieldid
       REAL     (kind = 4), DIMENSION(*), INTENT(IN) :: data2d_k4(:,:)
-      CALL cxios_write_data_k42(fieldid, len(fieldid), data2d_k4, size(data2d_k4, 1), size(data2d_k4, 2))
+      INTEGER, PARAMETER                            :: tileid = -1
+      CALL cxios_write_data_k42(fieldid, len(fieldid), data2d_k4, size(data2d_k4, 1), size(data2d_k4, 2), tileid)
    END SUBROUTINE xios(send_field_r4_2d)
 
+   SUBROUTINE xios(send_field_tiled_r4_2d)(fieldid, data2d_k4, tileid)
+   IMPLICIT NONE
+      CHARACTER(len = *)               , INTENT(IN) :: fieldid
+      REAL     (kind = 4), DIMENSION(*), INTENT(IN) :: data2d_k4(:,:)
+      INTEGER                          , INTENT(IN) :: tileid
+      CALL cxios_write_data_k42(fieldid, len(fieldid), data2d_k4, size(data2d_k4, 1), size(data2d_k4, 2), tileid)
+   END SUBROUTINE xios(send_field_tiled_r4_2d)
+
    SUBROUTINE xios(send_field_r4_3d)(fieldid, data3d_k4)
    IMPLICIT NONE
       CHARACTER(len = *)               , INTENT(IN) :: fieldid
       REAL     (kind = 4), DIMENSION(*), INTENT(IN) :: data3d_k4(:,:,:)
-      CALL cxios_write_data_k43(fieldid, len(fieldid), data3d_k4, size(data3d_k4, 1), size(data3d_k4, 2), size(data3d_k4, 3))
+      INTEGER, PARAMETER                            :: tileid = -1
+      CALL cxios_write_data_k43(fieldid, len(fieldid), data3d_k4, size(data3d_k4, 1), size(data3d_k4, 2), size(data3d_k4, 3), &
+                                tileid)
    END SUBROUTINE xios(send_field_r4_3d)
 
+   SUBROUTINE xios(send_field_tiled_r4_3d)(fieldid, data3d_k4, tileid)
+   IMPLICIT NONE
+      CHARACTER(len = *)               , INTENT(IN) :: fieldid
+      REAL     (kind = 4), DIMENSION(*), INTENT(IN) :: data3d_k4(:,:,:)
+      INTEGER                          , INTENT(IN) :: tileid
+      CALL cxios_write_data_k43(fieldid, len(fieldid), data3d_k4, size(data3d_k4, 1), size(data3d_k4, 2), size(data3d_k4, 3), &
+                                tileid)
+   END SUBROUTINE xios(send_field_tiled_r4_3d)
+
    SUBROUTINE  xios(send_field_r4_4d)(fieldid, data4d_k4)
    IMPLICIT NONE
       CHARACTER(len = *)               , INTENT(IN) :: fieldid
       REAL     (kind = 4), DIMENSION(*), INTENT(IN) :: data4d_k4(:,:,:,:)
+      INTEGER, PARAMETER                            :: tileid = -1
       CALL cxios_write_data_k44(fieldid, len(fieldid), data4d_k4, &
                                 size(data4d_k4, 1), size(data4d_k4, 2), size(data4d_k4, 3), &
-                                size(data4d_k4, 4))
+                                size(data4d_k4, 4), tileid)
    END SUBROUTINE  xios(send_field_r4_4d)
 
+   SUBROUTINE  xios(send_field_tiled_r4_4d)(fieldid, data4d_k4, tileid)
+   IMPLICIT NONE
+      CHARACTER(len = *)               , INTENT(IN) :: fieldid
+      REAL     (kind = 4), DIMENSION(*), INTENT(IN) :: data4d_k4(:,:,:,:)
+      INTEGER                          , INTENT(IN) :: tileid
+      CALL cxios_write_data_k44(fieldid, len(fieldid), data4d_k4, &
+                                size(data4d_k4, 1), size(data4d_k4, 2), size(data4d_k4, 3), &
+                                size(data4d_k4, 4), tileid)
+   END SUBROUTINE  xios(send_field_tiled_r4_4d)
+
    SUBROUTINE  xios(send_field_r4_5d)(fieldid, data5d_k4)
    IMPLICIT NONE
       CHARACTER(len = *)               , INTENT(IN) :: fieldid
       REAL     (kind = 4), DIMENSION(*), INTENT(IN) :: data5d_k4(:,:,:,:,:)
+      INTEGER, PARAMETER                            :: tileid = -1
       CALL cxios_write_data_k45(fieldid, len(fieldid), data5d_k4, &
                                 size(data5d_k4, 1), size(data5d_k4, 2), size(data5d_k4, 3), &
-                                size(data5d_k4, 4), size(data5d_k4, 5))
+                                size(data5d_k4, 4), size(data5d_k4, 5), tileid)
    END SUBROUTINE  xios(send_field_r4_5d)
 
+   SUBROUTINE  xios(send_field_tiled_r4_5d)(fieldid, data5d_k4, tileid)
+   IMPLICIT NONE
+      CHARACTER(len = *)               , INTENT(IN) :: fieldid
+      REAL     (kind = 4), DIMENSION(*), INTENT(IN) :: data5d_k4(:,:,:,:,:)
+      INTEGER                          , INTENT(IN) :: tileid
+      CALL cxios_write_data_k45(fieldid, len(fieldid), data5d_k4, &
+                                size(data5d_k4, 1), size(data5d_k4, 2), size(data5d_k4, 3), &
+                                size(data5d_k4, 4), size(data5d_k4, 5), tileid)
+   END SUBROUTINE  xios(send_field_tiled_r4_5d)
+
    SUBROUTINE  xios(send_field_r4_6d)(fieldid, data6d_k4)
    IMPLICIT NONE
       CHARACTER(len = *)               , INTENT(IN) :: fieldid
       REAL     (kind = 4), DIMENSION(*), INTENT(IN) :: data6d_k4(:,:,:,:,:,:)
+      INTEGER, PARAMETER                            :: tileid = -1
       CALL cxios_write_data_k46(fieldid, len(fieldid), data6d_k4, &
                                 size(data6d_k4, 1), size(data6d_k4, 2), size(data6d_k4, 3), &
-                                size(data6d_k4, 4), size(data6d_k4, 5), size(data6d_k4, 6))
+                                size(data6d_k4, 4), size(data6d_k4, 5), size(data6d_k4, 6), tileid)
    END SUBROUTINE  xios(send_field_r4_6d)
 
+   SUBROUTINE  xios(send_field_tiled_r4_6d)(fieldid, data6d_k4, tileid)
+   IMPLICIT NONE
+      CHARACTER(len = *)               , INTENT(IN) :: fieldid
+      REAL     (kind = 4), DIMENSION(*), INTENT(IN) :: data6d_k4(:,:,:,:,:,:)
+      INTEGER                          , INTENT(IN) :: tileid
+      CALL cxios_write_data_k46(fieldid, len(fieldid), data6d_k4, &
+                                size(data6d_k4, 1), size(data6d_k4, 2), size(data6d_k4, 3), &
+                                size(data6d_k4, 4), size(data6d_k4, 5), size(data6d_k4, 6), tileid)
+   END SUBROUTINE  xios(send_field_tiled_r4_6d)
+
    SUBROUTINE  xios(send_field_r4_7d)(fieldid, data7d_k4)
    IMPLICIT NONE
       CHARACTER(len = *)               , INTENT(IN) :: fieldid
       REAL     (kind = 4), DIMENSION(*), INTENT(IN) :: data7d_k4(:,:,:,:,:,:,:)
+      INTEGER, PARAMETER                            :: tileid = -1
       CALL cxios_write_data_k47(fieldid, len(fieldid), data7d_k4, &
                                 size(data7d_k4, 1), size(data7d_k4, 2), size(data7d_k4, 3), &
                                 size(data7d_k4, 4), size(data7d_k4, 5), size(data7d_k4, 6), &
-                                size(data7d_k4, 7))
+                                size(data7d_k4, 7), tileid)
    END SUBROUTINE  xios(send_field_r4_7d)
+
+   SUBROUTINE  xios(send_field_tiled_r4_7d)(fieldid, data7d_k4, tileid)
+   IMPLICIT NONE
+      CHARACTER(len = *)               , INTENT(IN) :: fieldid
+      REAL     (kind = 4), DIMENSION(*), INTENT(IN) :: data7d_k4(:,:,:,:,:,:,:)
+      INTEGER                          , INTENT(IN) :: tileid
+      CALL cxios_write_data_k47(fieldid, len(fieldid), data7d_k4, &
+                                size(data7d_k4, 1), size(data7d_k4, 2), size(data7d_k4, 3), &
+                                size(data7d_k4, 4), size(data7d_k4, 5), size(data7d_k4, 6), &
+                                size(data7d_k4, 7), tileid)
+   END SUBROUTINE  xios(send_field_tiled_r4_7d)
 
    ! Receive field functions
Index: /XIOS/dev/dev_oa/src/interface/fortran/ixios_interfaces.F90
===================================================================
--- /XIOS/dev/dev_oa/src/interface/fortran/ixios_interfaces.F90	(revision 1962)
+++ /XIOS/dev/dev_oa/src/interface/fortran/ixios_interfaces.F90	(revision 1963)
@@ -11,4 +11,10 @@
                   xios(send_field_r4_0d), xios(send_field_r4_1d), xios(send_field_r4_2d), xios(send_field_r4_3d), &
                   xios(send_field_r4_4d), xios(send_field_r4_5d), xios(send_field_r4_6d), xios(send_field_r4_7d), &
+                  xios(send_field_tiled_r8_1d), xios(send_field_tiled_r8_2d), &
+                  xios(send_field_tiled_r8_3d), xios(send_field_tiled_r8_4d), &
+                  xios(send_field_tiled_r8_5d), xios(send_field_tiled_r8_6d), xios(send_field_tiled_r8_7d), &
+                  xios(send_field_tiled_r4_1d), xios(send_field_tiled_r4_2d), &
+                  xios(send_field_tiled_r4_3d), xios(send_field_tiled_r4_4d), &
+                  xios(send_field_tiled_r4_5d), xios(send_field_tiled_r4_6d), xios(send_field_tiled_r4_7d), &
                   xios(recv_field_r8_0d), xios(recv_field_r8_1d), xios(recv_field_r8_2d), xios(recv_field_r8_3d), &
                   xios(recv_field_r8_4d), xios(recv_field_r8_5d), xios(recv_field_r8_6d), xios(recv_field_r8_7d), &
@@ -239,5 +245,11 @@
                    xios(send_field_r8_4d), xios(send_field_r8_5d), xios(send_field_r8_6d), xios(send_field_r8_7d), &
                    xios(send_field_r4_0d), xios(send_field_r4_1d), xios(send_field_r4_2d), xios(send_field_r4_3d), &
-                   xios(send_field_r4_4d), xios(send_field_r4_5d), xios(send_field_r4_6d), xios(send_field_r4_7d)
+                   xios(send_field_r4_4d), xios(send_field_r4_5d), xios(send_field_r4_6d), xios(send_field_r4_7d), &
+                   xios(send_field_tiled_r8_1d), xios(send_field_tiled_r8_2d), &
+                   xios(send_field_tiled_r8_3d), xios(send_field_tiled_r8_4d), &
+                   xios(send_field_tiled_r8_5d), xios(send_field_tiled_r8_6d), xios(send_field_tiled_r8_7d), &
+                   xios(send_field_tiled_r4_1d), xios(send_field_tiled_r4_2d), &
+                   xios(send_field_tiled_r4_3d), xios(send_field_tiled_r4_4d), &
+                   xios(send_field_tiled_r4_5d), xios(send_field_tiled_r4_6d), xios(send_field_tiled_r4_7d)
 END INTERFACE xios(send_field)
 
Index: /XIOS/dev/dev_oa/src/node/field.hpp
===================================================================
--- /XIOS/dev/dev_oa/src/node/field.hpp	(revision 1962)
+++ /XIOS/dev/dev_oa/src/node/field.hpp	(revision 1963)
@@ -160,5 +160,5 @@
          static ENodeType GetType(void);
 
-        template <int N> void setData(const CArray<double, N>& _data);
+        template <int N> void setData(const CArray<double, N>& _data, int ntile = -1);
         static bool dispatchEvent(CEventServer& event);
         void sendAllAttributesToServer(CContextClient* client) ; 
Index: /XIOS/dev/dev_oa/src/node/field_decl.cpp
===================================================================
--- /XIOS/dev/dev_oa/src/node/field_decl.cpp	(revision 1962)
+++ /XIOS/dev/dev_oa/src/node/field_decl.cpp	(revision 1963)
@@ -3,11 +3,11 @@
 namespace xios
 {
-  template void CField::setData<1>(const CArray<double, 1>& _data);
-  template void CField::setData<2>(const CArray<double, 2>& _data);
-  template void CField::setData<3>(const CArray<double, 3>& _data);
-  template void CField::setData<4>(const CArray<double, 4>& _data);
-  template void CField::setData<5>(const CArray<double, 5>& _data);
-  template void CField::setData<6>(const CArray<double, 6>& _data);
-  template void CField::setData<7>(const CArray<double, 7>& _data);
+  template void CField::setData<1>(const CArray<double, 1>& _data, int ntile);
+  template void CField::setData<2>(const CArray<double, 2>& _data, int ntile);
+  template void CField::setData<3>(const CArray<double, 3>& _data, int ntile);
+  template void CField::setData<4>(const CArray<double, 4>& _data, int ntile);
+  template void CField::setData<5>(const CArray<double, 5>& _data, int ntile);
+  template void CField::setData<6>(const CArray<double, 6>& _data, int ntile);
+  template void CField::setData<7>(const CArray<double, 7>& _data, int ntile);
 
   template void CField::getData<1>(CArray<double, 1>& _data) const;
Index: /XIOS/dev/dev_oa/src/node/field_impl.hpp
===================================================================
--- /XIOS/dev/dev_oa/src/node/field_impl.hpp	(revision 1962)
+++ /XIOS/dev/dev_oa/src/node/field_impl.hpp	(revision 1963)
@@ -16,5 +16,5 @@
 
   template <int N>
-  void CField::setData(const CArray<double, N>& _data)
+  void CField::setData(const CArray<double, N>& _data, int tileid)
   TRY
   {
@@ -22,5 +22,8 @@
     {
       if (check_if_active.isEmpty() || (!check_if_active.isEmpty() && (!check_if_active) || isActive(true)))
-        clientSourceFilter->streamData(CContext::getCurrent()->getCalendar()->getCurrentDate(), _data);
+        if (tileid > -1)
+          clientSourceFilter->streamTile(CContext::getCurrent()->getCalendar()->getCurrentDate(), _data, tileid); // tiled domain
+        else
+          clientSourceFilter->streamData(CContext::getCurrent()->getCalendar()->getCurrentDate(), _data);
     }
     else if (instantDataFilter)
